Subject: Re: bug#48433: 28.0.50; Emacs Core Dump when trying to visit file

From: Sébastien Le Callonnec <[email-masked]>
Date: Sat, 15 May 2021 11:10:38 +0100

Hi Eli,

On 15/05/2021 10:35, Eli Zaretskii wrote:

> 
> Thanks, but can you also provide a Lisp backtrace, by invoking
> "xbacktrace" from GDB?  That command is defined in src/.gdbinit.
> 

I am not having much luck there:

(gdb) xbacktrace
'backtrace_top' has unknown return type; cast the call to its declared
return type

It is quite possible I am doing something wrong?

I have also tried without native comp, and getting a similar crash:

```
Thread 1 "emacs" hit Breakpoint 1, 0x00005555555992da in
terminate_due_to_signal ()
(gdb) bt full
#0  0x00005555555992da in terminate_due_to_signal ()
#1  0x0000555555599b21 in emacs_fopen.cold ()
#2  0x000055555559a439 in read_minibuf_unwind.cold ()
#3  0x000055555574c43b in Ffuncall ()
#4  0x000055555579a59e in exec_byte_code ()
#5  0x000055555574c362 in Ffuncall ()
#6  0x000055555579a59e in exec_byte_code ()
#7  0x0000555555751109 in funcall_lambda ()
#8  0x000055555574c362 in Ffuncall ()
#9  0x0000555555750142 in Frun_hooks ()
#10 0x000055555574c43b in Ffuncall ()
#11 0x000055555574c4e5 in call1 ()
#12 0x00005555556d7df1 in Fget_buffer_create.part.0 ()
#13 0x00005555556ec52c in get_minibuffer ()
#14 0x00005555556ec77b in read_minibuf ()
#15 0x00005555556ed83d in Fread_from_minibuffer ()
#16 0x000055555574e2b2 in funcall_subr ()
#17 0x000055555574c43b in Ffuncall ()
#18 0x000055555579a59e in exec_byte_code ()
#19 0x000055555574c362 in Ffuncall ()
#20 0x000055555579a59e in exec_byte_code ()
#21 0x000055555574c362 in Ffuncall ()
#22 0x000055555579a59e in exec_byte_code ()
#23 0x000055555574c362 in Ffuncall ()
#24 0x0000555555748695 in Ffuncall_interactively ()
#25 0x000055555574c43b in Ffuncall ()
#26 0x000055555574ec80 in Fapply ()
#27 0x0000555555749e7a in Fcall_interactively ()
#28 0x000055555574c43b in Ffuncall ()
#29 0x000055555579a59e in exec_byte_code ()
#30 0x000055555574c362 in Ffuncall ()
#31 0x000055555574c4e5 in call1 ()
#32 0x00005555556c2fe9 in command_loop_1 ()
#33 0x000055555574b3ff in internal_condition_case ()
#34 0x00005555556b0544 in command_loop_2 ()
#35 0x000055555574e0eb in internal_catch ()
#36 0x00005555556b04e3 in command_loop ()
#37 0x00005555556b70da in recursive_edit_1 ()
#38 0x00005555556b7415 in Frecursive_edit ()
#39 0x00005555555a3dfe in main ()
'backtrace_top' has unknown return type; cast the call to its declared
return type
```

This seems to isolate the issue to `read_minibuf_unwind`, which is part
of the changeset of the commit I bisected to.

Regards,
Sébastien.